# DarAuthority: atrpms
# DarContact: Gustavo Niemeyer <niemeyer@conectiva.com>

%define LIBVER 3.3

Summary: Debian's Advanced Packaging Tool with RPM support.
Name: apt
Version: 0.5.15cnc6
Release: 4.SL
License: GPL
Group: System Environment/Base
URL: https://moin.conectiva.com.br/AptRpm

Packager: Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
Vendor: Scientific Linux

Source0: http://moin.conectiva.com.br/files/AptRpm/attachments/%{name}-%{version}.tar.bz2
Patch0: apt-0.5.15cnc6-rpmpriorities.patch
Patch1: apt-0.5.5cnc5-nodignosig.patch
Patch2: apt-0.5.15cnc4-nopromote.patch
#Patch3: apt-0.5.5cnc6-rpm402.patch
Patch4: apt-0.5.5cnc5-oldpkg.patch
Patch5: apt-0.5.5cnc5-nodigest.patch

BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: rpm-devel >= 4.0, zlib-devel, gettext
%{!?rh62:BuildRequires: bzip2-devel, libstdc++-devel, docbook-utils}

%{?rhfc1:BuildRequires: beecrypt-devel, elfutils-devel}
%{?rhel3:BuildRequires: beecrypt-devel, elfutils-devel}
%{?rh90:BuildRequires: beecrypt-devel, elfutils-devel}
%{?rh80:BuildRequires: libelf-devel}
%{?rh73:BuildRequires: libelf}
%{?rhel21:BuildRequires: libelf}
%{?rh62:BuildRequires: libelf}

Requires: rpm >= 4.0, zlib, bzip2-libs, libstdc++

%description
A port of Debian's apt tools for RPM based distributions, or at least
originally for Conectiva and now Red Hat Linux. It provides the apt-get
utility that provides a simpler, safer way to install and upgrade packages.
APT features complete installation ordering, multiple source capability and
several other unique features.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup
%patch0 -b .rpmpriorities
#patch1 -b .nodignosig
#patch2 -p1 -b .nopromote
#{?rh62:%patch3 -b .402}

%patch4 -p1 -b .oldpkg
#%patch5 -p1 -b .nodigest

#perl -pi.orig -e 's|RPM APT-HTTP/1.3|CERN RPM APT-HTTP/1.3|' methods/http.cc}

%{__cat} <<'EOF' >apt.conf
// User customizable configuration

RPM
{
  // Uncomment to disable GPG-signature checking for packages
  // GPG-Check "false";
};

// Options for the downloading routines
Acquire
{
  // Retries "1";
  // http::Proxy "http://user:password@proxy-server.domain.tld:port/";
  // http::Proxy "http://proxy-server.domain.tld:port/";
};
EOF

%{__cat} <<'EOF2' >default.conf
// These are "factory defaults", DO NOT CHANGE!
// Put your customizations to /etc/apt/apt.conf instead, those will
// override any setting in here.
//

APT
{
  // Options for apt-get
  Get
  {
    Download-Only "false";
    Show-Upgraded "true";
    Show-Versions "true";
  };

};

RPM
{
  // Completely ignore GnuPG signature packages (introduced in rpm 4.1)
  Ignore { "gpg-pubkey"; };
  // Allow multiple kernel and kernel-related packages to be installed
  Allow-Duplicated { "^kernel(-(BOOT|bigmem|debug|smp|unsupported|source))?(-(unsupported-modules))?$"; "^gpg-pubkey$"; };
  // Enable source rebuilds
  Source
  {
    Build-Command "rpmbuild --rebuild";
  };
};

// Options for the downloading routines
Acquire
{
  http::User-Agent "CERN APT-HTTP/1.3";
};
EOF2

%build
#{__autoconf}
%configure \
	--disable-dependency-tracking \
	--program-prefix="%{?_program_prefix}" \
	--includedir="%{_includedir}/apt-pkg"
#	--with-hashmap
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	includedir="%{buildroot}%{_includedir}/apt-pkg"
%find_lang %{name}

%{__install} -d -m0755 \
		%{buildroot}%{_sysconfdir}/apt/{apt.conf.d,sources.list.d} \
		%{buildroot}%{_localstatedir}/cache/apt/{archives/partial,genpkglist,gensrclist} \
		%{buildroot}%{_localstatedir}/state/apt/lists/partial \
		%{buildroot}%{_libdir}/apt/scripts/
%{__install} -m0644 rpmpriorities apt.conf %{buildroot}%{_sysconfdir}/apt/
%{__install} -m0644 default.conf %{buildroot}%{_sysconfdir}/apt/apt.conf.d/
touch %{buildroot}%{_sysconfdir}/apt/preferences 

echo " " > %{buildroot}%{_sysconfdir}/apt/vendors.list

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig 2> /dev/null


%postun
/sbin/ldconfig 2> /dev/null 

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS* COPYING* TODO contrib/ doc/examples/
%doc %{_mandir}/man?/*
%dir %{_sysconfdir}/apt/
%config %{_sysconfdir}/apt/apt.conf
%config %{_sysconfdir}/apt/preferences
#config(noreplace) %{_sysconfdir}/apt/sources.list
%config %{_sysconfdir}/apt/vendors.list
%config %{_sysconfdir}/apt/rpmpriorities
%config %{_sysconfdir}/apt/apt.conf.d/
%config %{_sysconfdir}/apt/sources.list.d/
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/apt/
%{_localstatedir}/cache/apt/
%{_localstatedir}/state/apt/

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/apt-pkg/
#exclude %{_libdir}/*.la

%changelog
* Tue Jun 01 2004 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- patched for ia64 ArchScore'ing
- rebuilt for Scientific Linux

* Wed Apr 14 2004 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- Updated to 0.5.15cnc6

* Wed Feb 11 2004 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- Rebuild for CERN, empty third-party list

* Sat Jan 24 2004 Dag Wieers <dag@wieers.com> - 0.5.15cnc1-1
- Added RHAS21 repository.

* Sun Jan 04 2004 Dag Wieers <dag@wieers.com> - 0.5.15cnc5-0
- Updated to release 0.5.15cnc5.

* Sat Dec 06 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc4-1
- Disabled the epoch promotion behaviour on RH9.

* Thu Dec 04 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc4-0
- Updated to release 0.5.15cnc4.

* Tue Nov 25 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc3-0
- Updated to release 0.5.15cnc3.

* Mon Nov 10 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc2-0
- Updated to release 0.5.15cnc2.

* Mon Nov 10 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc1-1
- Fixed apt pinning.
- Added RHFC1 repository.

* Sat Nov 08 2003 Dag Wieers <dag@wieers.com> - 0.5.15cnc1-0
- Updated to release 0.5.15cnc1.

* Sun Oct 26 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc6-1
- Added RHEL3 repository.

* Tue Jun 10 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc6-0
- Added newrpms and enable it by default.
- Updated to release 0.5.5cnc6.

* Tue Jun 03 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc5-4
- Added freshrpms and enable it by default.

* Sun Jun 01 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc5-3
- Work around a bug in apt (apt.conf).

* Fri May 30 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc5-2
- Moved sources.list to sources.d/

* Wed Apr 16 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc5-1
- Updated to release 0.5.5cnc5.

* Tue Apr 08 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc4.1-2
- RH90 repository rename from redhat/9.0 to redhat/9.

* Sat Apr 05 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc4.1-1
- FreshRPMS fixes to repository locations.

* Sun Mar 09 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc4.1-0
- Updated to release 0.5.5cnc4.1.

* Fri Feb 28 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc3-0
- Updated to release 0.5.5cnc3.

* Tue Feb 25 2003 Dag Wieers <dag@wieers.com> - 0.5.5cnc2-0
- Updated to release 0.5.5cnc2.

* Mon Feb 10 2003 Dag Wieers <dag@wieers.com> - 0.5.4cnc9-0
- Initial package. (using DAR)
